Subject: bug#4240 closed by Eli Zaretskii <[email-masked]> (Re: bug#4240: 23.1.50; C-u doesn't work with Swedish characters)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 28 Aug 2009 08:55:12 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4037: 23.1.50; C-u doesn't work with Swedish characters

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
4037: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4037
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4240: 23.1.50; C-u doesn't work with Swedish characters
From: Eli Zaretskii <[email-masked]>
To: Kenichi Handa <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 28 Aug 2009 11:52:21 +0300

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 27 Aug 2009 15:23:25 +0900
> 
> In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:
> 
> >>> > Please see bug#4037:
> >>> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4037
> >>> > I received no confirmation that my proposed fix is correct.
> >>> I think those two lines are not necessary anymore and should be
> >>> removed (together with the comments which explain their need).  I
> >>> think they belong to the old pre-unicode days when raw eight-bit
> >>> characters needed such special treatment.
> 
> > I believe you're right.  Nowadays, the keyboard-decoding should always
> > take place before we get to that point.
> 
> Sorry for the late responce on this matter.  Yes, that
> unibyte->multibyte conversion is not necessary.  I've just
> installed a fix.

Thanks.  I'm closing the two related bug reports.

Subject: 23.1.50; C-u doesn't work with Swedish characters
From: Deniz Dogan <[email-masked]>
To: [email-masked]
Date: Sun, 23 Aug 2009 15:28:58 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I hit "C-u ä" expecting it to come out as "ääää".  Instead it comes out
as "ä\344\344ä".  I try "C-u C-u ä" and it comes out as "ä" followed by
fourteen "\344" and then a trailing "ä".  This happens no matter which
kind of repetition I'm doing, be it using C-u or using e.g. M-3.  It's
always the leading and the trailing character that come out right, all
of the other ones are "broken".

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/deniz/usr/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.2 (i686-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-13 on stalin
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--without-rsvg' '--without-tiff'
'--without-xpm' '--prefix=/home/deniz/usr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-u ä <return> C-u C-u ä <return> M-5 M-0 ä <return>
C-1 C-0 u <return> C-1 C-0 ä M-x r e p o r t - e m
a c s - b u g f <return> <backspace> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.